Get connection & credentials
Requires an API key with one of: environment:connections:read or environment:connections:read_credentials. Learn more about API key scopes.
The response content depends on the API authentication type (e.g: OAuth 2, OAuth 1, API key, etc.).
If you do not want to deal with collecting & injecting credentials in requests for multiple authentication types, use the Proxy.
Every time you fetch the connection with this API endpoint, Tenklo will check if the access token has expired. If it has, it will refresh it.
We recommend you always fetch the token just before you use it to make sure it is fresh!
Returns a specific connection with credentials
bearerAuthAuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
connectionId*stringThe connection ID used to create the connection.
provider_config_key*stringThe integration ID used to create the connection (aka Unique Key).
force_refresh?booleanIf true, Tenklo will attempt to refresh the access access token regardless of its expiration status (false by default).
refresh_token?booleanIf true, return the refresh token as part of the response (false by default).
refresh_github_app_jwt_token?booleanIf true, this will refresh the JWT token for GitHub App / Github App OAuth connections
Successfully returned a connection
application/json- response
id*integerconnection_id*stringprovider_config_key*stringprovider*stringerrors*array<>end_user?|nullDeprecatedmetadata*connection_config*tags*Connection tags (key/value strings). Keys are normalized to lowercase.
properties <= 10created_at*stringupdated_at*stringlast_fetched_at*stringcredentials*|||||||||||||curl -X GET 'https://api.tenklo.dev/connections/string?provider_config_key=string'{ "id": 0, "connection_id": "string", "provider_config_key": "string", "provider": "string", "errors": [ { "type": "auth", "log_id": "string" } ], "end_user": { "id": "string", "email": "string", "display_name": "string", "tags": {}, "organization": { "id": "string", "display_name": "string" } }, "metadata": {}, "connection_config": {}, "tags": { "property1": "string", "property2": "string" }, "created_at": "string", "updated_at": "string", "last_fetched_at": "string", "credentials": { "oauth_token": "string", "oauth_token_secret": "string", "type": "OAUTH1", "raw": {} }}